Skip to main content
PATCH
Patch business

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

Idempotency-Key
string

An idempotency key is an arbitrary unique value generated by client to detect subsequent retries of the same request. It is recommended that a UUID or a similar random identifier be used as an idempotency key. A different key must be used for each request, unless it is a retry.

Example:

"7d943c51-e4ff-4e57-9558-08cab6b963c7"

Path Parameters

business_id
string<uuid>
required

Business's unique identifier.

Example:

"7d943c51-e4ff-4e57-9558-08cab6b963c7"

Body

application/json

Represents a business customer.

compliance_restrictions
enum<string>[]

The types of compliance that the business needs to adhere to

  • LICENSED_CANNABIS – A type of compliance restriction where the business would need a cannabis license in order to operate.
Available options:
LICENSED_CANNABIS
ein
string

U.S. Employer Identification Number (EIN) for this business, in the format xx-xxxxxxx.

Example:

"12-3456789"

email
string

Business's email.

Example:

"alice@example.com"

entity_name
string

Business's legal name.

Example:

"Apex Corporation"

formation_date
string<date>

Date the business was legally registered in RFC 3339 full-date format (YYYY-MM-DD).

Example:

"2000-01-01"

formation_state
string

U.S. state where the business is legally registered (2-letter abbreviation).

Example:

"NY"

is_customer
boolean

True for personal and business customers with a direct relationship with the fintech or bank. Set this to true for any customer related to an account.

Example:

true

Legal address

metadata
object

Optional field to store additional information about the resource. Intended to be used by the integrator to store non-sensitive data.

phone_number
string

Business's phone number with country code in E.164 format. Must have a valid country code. Area code and local phone number are not validated.

Pattern: ^\+[1-9]\d{1,14}$
Example:

"+14374570680"

spend_control_ids
string<uuid>[]

List of spend control IDs to control spending for the customer

Maximum array length: 100
status
enum<string>

Status of the business. One of the following:

  • PROSPECT – a potential customer, used for information-gathering and disclosures.
  • ACTIVE – is an integrator defined status. Integrators should set a business to active if they believe the person to be qualified for conducting business. Synctera will combine this status with other statuses such a verification to determine if the business is eligible for specific actions such as initiating transactions or issuing a card.
  • FROZEN – business's actions are blocked for security, legal, or other reasons.
  • SANCTION – business is on a sanctions list and should be carefully monitored.
  • DISSOLVED – an inactive status indicating a business entity has filed articles of dissolution or a certificate of termination to terminate its existence.
  • CANCELLED – an inactive status indicating that a business entity has filed a cancellation or has failed to file its periodic report after notice of forfeiture of its rights to do business.
  • SUSPENDED – an inactive status indicating that the business entity has lost the right to operate in it's registered jurisdiction.
  • MERGED – an inactive status indicating that the business entity has terminated existence by merging into another entity.
  • INACTIVE – an inactive status indicating that the business entity is no longer active.
  • CONVERTED – An inactive status indicating that the business entity has been converted to another type of business entity in the same jurisdiction.
Available options:
PROSPECT,
ACTIVE,
FROZEN,
SANCTION,
DISSOLVED,
CANCELLED,
SUSPENDED,
MERGED,
INACTIVE,
CONVERTED
structure
enum<string>

Business's legal structure.

Available options:
SOLE_PROPRIETORSHIP,
PARTNERSHIP,
LLC,
CORPORATION,
S_CORPORATION,
NON_PROFIT,
OTHER
Example:

"CORPORATION"

tenant
string

The id of the tenant containing the resource.

Example:

"abcdef_ghijkl"

trade_names
string[]

All registered 'doing business as' (DBA) or trade names for this business.

Example:
website
string

Business's website.

Example:

"https://example.com"

vendor_info
object

Vendor information for external account management systems

Response

Updated business representation.

Represents a business customer.

creation_time
string<date-time>
ein
string
email
string
entity_name
string
formation_date
string<date>
formation_state
string
id
string<uuid>
last_updated_time
string<date-time>
phone_number
string
status
string
structure
string
trade_names
string[]
verification_last_run
string<date-time>
verification_status
string
vendor_info
object

Vendor information for external account management systems